summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-01-26 09:16:02 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-01-26 09:24:10 +0100
commit4c08c6a68160e7844263d1c0564e8f300ee71739 (patch)
treed360759e00e6f1e8fbfe74379fcfe30b8fd9809d /dev-ros/rqt_plot
parentdev-ros/rqt_msg: Bump to 0.4.4. (diff)
downloadgentoo-4c08c6a68160e7844263d1c0564e8f300ee71739.tar.gz
gentoo-4c08c6a68160e7844263d1c0564e8f300ee71739.tar.bz2
gentoo-4c08c6a68160e7844263d1c0564e8f300ee71739.zip
dev-ros/rqt_plot: Bump to 0.4.4.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ros/rqt_plot')
-rw-r--r--dev-ros/rqt_plot/Manifest1
-rw-r--r--dev-ros/rqt_plot/rqt_plot-0.4.4.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ros/rqt_plot/Manifest b/dev-ros/rqt_plot/Manifest
index 310b8a40cc4..e97854bc991 100644
--- a/dev-ros/rqt_plot/Manifest
+++ b/dev-ros/rqt_plot/Manifest
@@ -1 +1,2 @@
DIST rqt_common_plugins-0.4.3.tar.gz 242040 SHA256 a11a7cf416e6493776575e3795291a2a4cd215ce5c8090e4cd7cb361055db9c2 SHA512 91957bd70fe157e479ad982de7335210244479e238b814233f29b15f44f52cd443d890c0f626dccff69b55b462d514b879bb9e1321f4f9d169e28a42acba9ca7 WHIRLPOOL af7073935d6d7013342975ff8809dd0060c35d8a1fa92b289183f6e870246b4a3ab2214bdda545ed9644900b89822bedbf842284d34ee5b6b5fe8741537d4c24
+DIST rqt_common_plugins-0.4.4.tar.gz 245149 SHA256 926b7835d4feea276518e9331de9bc3d25f8484ceb89d893948e6f2bf432cc7e SHA512 faa1e435aed0e158c802ac3b7cdf04a0fbf4cb340f2ed598970990827d384c5153a52657a474bf95af022166e5f6fb9acc926d1943b0093fea16c86699922d81 WHIRLPOOL 34848b6364af474072ef937f77deb583705db62a0e4ade7cc3b060e22af1a419c9beae4951791d81f0750619836cbbb9097956f9ec25f5768113dba253553d91
diff --git a/dev-ros/rqt_plot/rqt_plot-0.4.4.ebuild b/dev-ros/rqt_plot/rqt_plot-0.4.4.ebuild
new file mode 100644
index 00000000000..4e34ff96d92
--- /dev/null
+++ b/dev-ros/rqt_plot/rqt_plot-0.4.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+ROS_REPO_URI="https://github.com/ros-visualization/rqt_common_plugins"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="GUI plugin visualizing numeric values in a 2D plot"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ || ( dev-python/matplotlib[${PYTHON_USEDEP}] dev-python/pyqwt:5[${PYTHON_USEDEP}] )
+ dev-python/pyqtgraph[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-ros/qt_gui_py_common[${PYTHON_USEDEP}]
+ dev-ros/rosgraph[${PYTHON_USEDEP}]
+ dev-ros/rostopic[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui_py[${PYTHON_USEDEP}]
+ dev-ros/rqt_py_common[${PYTHON_USEDEP}]
+ dev-ros/roslib[${PYTHON_USEDEP}]
+ >=dev-ros/python_qt_binding-0.2.19[${PYTHON_USEDEP}]
+ dev-ros/std_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"